PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateWedgeCylinderMesh

Creates a mesh on the tensor product of the unit interval with the circle (cylinder) using wedges.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateWedgeCylinderMesh(MPI_Comm comm, PetscInt n, PetscBool interpolate, DM *dm)

Collective

### Input Parameters

| comm | - The communicator for the DM object
| n | - The number of wedges around the origin
| interpolate | - Create edges and faces

### Output Parameter

| dm | - The DM object

### See Also

DMPlexCreateHexCylinderMesh(), DMPlexCreateBoxMesh(), DMSetType(), DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexcreate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages